Subject: Re: bash env parse broken
From: [email-masked] (Alex)

9 Sep 1997 02:28:37 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
X-Authentication-Warning: zippy.dyn.ml.org: garbanzo owned process doing -bs
Original-To: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

On Tue, 9 Sep 1997, Eric Mills wrote:

> B18 on NT4.0sp3 NTFS:
> 
> Thanks folks for the helpful hint re backslashes: all I can say is
> "blind as a bat!" Sorry. I guess on seeing the equivalent of a 'core dump'
> from cygwin32.dll I didn't look any further. There still must be a problem
> that is not at all obvious with bash that caused the exception....
> 
> I would like to follow up on the second point re ^C and make. If you try the
> following make file and hit ^C:
> 
> all:
> 	for x in *;\
> 	do sh -c echo;\
> 	done >/dev/null
> 
> then you will notice a few things:
> 1.  It never seems to work properly.
> 2.  More than 50% of the time you get fork_helper: child died message
> 3.  Less frequently one gets a cygwin_exception_handler message and everything
> stops - some sort of deadlock situation - just keep killing bashes till
> the world comes back.
> 4. If you run the same loop straight from bash you get an NT exception poppup
> - not caught by cygwin_exception_handler! (or the child died message).

Are you using binary mounts?
 
> 5. Lastly one notices just how SLOW this thing runs - on investigation I 
> find that the power up time for bash is somewhere between 5 and 10 times longer
> on NT + cygwin32 than UNIX for the identical hardware.
> For us new NT users coming from the UNIX environment there should be a warning
> statemant in the README file saying that shell script performance is much
> less than one is accustomed to!
> 
> Would anyone care to comment on where the cycles are going?

Well, I know for one each program (like each instance of sh/bash) has to
do a lot of initalization of different things like Winsock, read the
registry settings and the like.  Trying to configure sendmail will show
how slow shell scripts are, or using GNU's autoconf will do the same.

- alex

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".